@import 'rt-variable';

.bp3-multi-select {
  &.bp3-large {
    .bp3-tag.bp3-large {
      margin-right: 12px;
    }
    .bp3-button svg {
      height: 20px;
      width: 20px;
    }
  }
  &.bp3-large {
    .bp3-tag-input-values {
      padding-top: 8px;
    }
  }
  &.bp3-tag-input.bp3-large .bp3-button {
    padding: 0;
    margin: 0 16px 0 0;
    min-height: 46px;
  }
  .bp3-button.bp3-minimal:hover {
    background-color: #ffffff;
  }
  &.bp3-tag-input .bp3-button {
    margin: 0 12px 0 0;
    min-height: 30px;
    padding: 0;
    min-width: auto;
    span {
      height: 100%;
    }
  }
  .bp3-tag {
    height: 24px;
    font-size: 13px;
    &.bp3-large {
      height: 32px;
      font-size: 16px;
    }
  }
  .bp3-tag .bp3-tag-remove {
    margin-right: 0 !important;
  }
  .bp3-tag-remove:focus {
    outline: none;
  }
  .bp3-tag-input-values {
    margin-left: 0;
    padding-top: 4px;
    .bp3-tag .bp3-fill {
      padding: 0;
    }
  }
  &.bp3-input {
    background-color: #ffffff;
    min-height: 32px;
    padding: 0 0 0 12px;
    margin-bottom: 8px;
    &.bp3-large {
      min-height: 48px;
    }
    &:focus, &.bp3-active {
      opacity: 1;
    }
  }
  .bp3-multi-select-tag-input-input::placeholder {
    color: rgba(41, 41, 41, 0.7);
    font-size: 16px;
  }
  .bp3-button.bp3-minimal .bp3-icon {
    color: #706F6F;
  }
  .bp3-tag::before, .bp3-tag > * {
    margin-right: 8px;
  }
  &.bp3-tag-input .bp3-input-ghost {
    width: 60px;
    font-size: 13px;
    color: $rt-gray3;
  }
  .bp3-tag {
    padding: 0 12px;
    min-width: 75px;
    &.bp3-large {
      padding: 0 6px 0 12px;
      margin-right: 8px;
      &:nth-last-child(2) {
        margin-right: 0;
      }
      > span {
        max-width: 45px;
        margin-right: 8px;
      }

    }
    > span {
      max-width: 40px;
      margin-right: 2px;
    }
    & > :last-child {
      opacity: 1;
    }
  }
}
.select-input {
  &.bp3-button, &.bp3-button:hover, &.bp3-button:active {
    border: 1px solid $rt-gray2;
    background-color: #ffffff;
    box-shadow: none;
    outline: none;
    background: none;
    color: $rt-gray3;
  }
  &.bp3-button .bp3-icon {
    color: $rt-gray3;
  }
}

.bp3-popover-target {
  .bp3-button:focus, .bp3-input-action:focus  {
    outline: none;
  }
}
.bp3-popover-open .bp3-icon-caret-up {
  color: #005eb8;
}

.bp3-popover-wrapper {
  display: block;
  .bp3-input-group {
    background-color: transparent;
  }
  .bp3-popover-target {
    display: block;
  }
  .bp3-button.bp3-minimal .bp3-icon.bp3-icon-caret-down {
    color: #706F6F;
  }
  .bp3-input:focus {
    border: 0.7px solid rgba(41, 41, 41, 0.16);
  }
  .bp3-input-group {
    &.bp3-disabled {
      opacity: 0.5;
    }
    .bp3-input {
      color: rgba(41, 41, 41, 0.7);
      background: #ffffff;
      border: 0.7px solid rgba(41, 41, 41, 0.16);
    }
  }
}
.bp3-select-popover {
  border-radius: 10px;
  box-shadow: none;
  &.bp3-popover {
    .bp3-menu-item {
      padding: 4px 12px;
    }
    .bp3-menu {
      padding: 4px;
      background-color: #ffffff;
      box-shadow: none;
      overflow-y: auto;
      overflow-x: -moz-hidden-unscrollable;
    }
  }
  &.bp3-large .bp3-menu-item {
    padding: 8px 16px;
    line-height: 24px;
  }
  .bp3-popover-content {
    padding: 0;
  }
  .bp3-menu-item:hover {
    background: rgba(0, 94, 184, 0.08);
  }
}

.bp3-multi-select-popover {
  &.bp3-large {
    .bp3-icon {
      margin-left: 12px;
    }
  }
  .bp3-icon {
    margin-left: 8px;
  }
  &.bp3-popover .bp3-popover-content {
    background-color: transparent;
  }
  .bp3-menu-item > * {
    margin-right: 0 ;
  }
  &.bp3-popover.bp3-minimal {
    margin-top: 4px !important;
  }
  &.bp3-popover {
    box-shadow: none;
    .bp3-menu {
      padding: 4px;
      background-color: #ffffff;
      box-shadow: none;
      overflow-y: auto;
      overflow-x: -moz-hidden-unscrollable;
      > .bp3-checkbox {
        line-height: 30px;
        margin: 0;
      }
    }
    .bp3-menu-item {
      padding: 4px 12px;
      line-height: 24px;
      display: flex;
      align-items: center;
    }
  }
  &.bp3-large .bp3-menu-item {
    padding: 8px 16px 8px;
  }
  .bp3-menu-item {
    > .bp3-icon {
      order: 2;
      margin-top: 0;
    }
    &:hover {
      background: rgba(0, 94, 184, 0.08);
    }
  }
}
.bp3-select-popover  {
  .bp3-popover-content {
    background-color: transparent;
    border-radius: 0;
  }
  &.bp3-popover.bp3-minimal {
    margin-top: 4px !important;
  }
  .bp3-menu {
    padding: 4px;
    border-radius: 0;
    background-color: #ffffff;
    border: 0.7px solid rgba(41, 41, 41, 0.16);
    border-radius: 4px;
    overflow-y: auto;
    overflow-x: -moz-hidden-unscrollable;
    box-shadow: none;
  }
}
.ant-table tr {
  border: 1px solid #EBEBEB;
}
.bp3-select-popover li {
  background-color: #ffffff;
}
